Transcript LOL API
GET
/spaces/{spaceId}/recordings

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

Query Parameters

limit?number

Maximum number of items per page

Default100
Range10 <= value <= 500
pagination*boolean

Set to 1 or true.

Exists due to legacy reasons: Passing this parameter will always give a paginated response. Not passing the parameter will give an array of recordings without the pagination cursors.

Defaulttrue
before?string

Optional. Cursor to access the previous page in the recording list.

Set this to prev_cursor value you received from an earlier call to this endpoint

after?string

Optional. Cursor to access the next page in the recording list.

Set this to next_cursor value you received from an earlier call to this endpoint

orderBy?string

Field to sort recordings by. Can be one of:

  • createdAt: Sort by creation date
  • title: Sort by recording title
  • status: Sort by recording status

Defaults to createdAt

Default"createdAt"
Value in"createdAt" | "title" | "status"
orderDirection?string

Sort direction. Can be one of:

  • asc: Ascending order
  • desc: Descending order

Defaults to desc

Default"desc"
Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://transcript.lol/api/v1/spaces/string/recordings?pagination=true"
{
  "recordings": [
    {
      "id": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "workspaceId": "string",
      "title": "string",
      "sourceUrl": "string",
      "mediaType": "AUDIO",
      "source": "string",
      "duration": 0,
      "status": "MEDIA_IMPORT_UPLOADING",
      "recordingFolderId": "string",
      "isMediaDeleted": true,
      "createdById": "string",
      "autoDeleteMediaAfter": "string"
    }
  ],
  "prev_cursor": "string",
  "next_cursor": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}